package org.opencdmp.filetransformer.rda.model.rda.mapper;
import org.opencdmp.filetransformer.rda.model.rda.MetadataStandardId;
import org.springframework.stereotype.Component;

import java.util.Map;

@Component
public class MetadataStandardIdRDAMapper {
	public MetadataStandardId toRDA(String uri) {
		if (uri == null || uri.isBlank()) return null;
		
		MetadataStandardId rda = new MetadataStandardId();
		rda.setIdentifier(uri);
		rda.setType(MetadataStandardId.Type.URL);
		return rda;
	}

	public String toEntity(MetadataStandardId rda) {
		return rda == null ? null : rda.getIdentifier();
	}
}
